<?php
$intro = ob_get_clean();

$rootdir = 'foto' . $Args;

if (!empty($User['admin'])) {
	$access = '🔓 Openbaar';
	if (isset($PageAccess)) {
		$access = "🔒 Bewoners";
		if ($PageAccess != $Page.$Args) {
			$access .= sprintf(' vanaf <a href="%s">%s</a>',
				"/$PageAccess", pathinfo($PageAccess, PATHINFO_FILENAME)
			);
		}
	}
	print "<aside>$access</aside>\n\n";
}

$nav = explode('/', $Page.$Args);
$title = array_pop($nav);
$rootname = "Foto's"; # override of 'foto'
$link = '';
print "<h2>";
foreach ($nav as $i => $linktitle) {
	$link .= "/$linktitle";
	printf('<a href="%s">%s</a> →'."\n", $link, $i ? $linktitle : $rootname);
}
print $Args ? $title : $rootname;
print "</h2>\n\n";

print $intro;

function showthumb($path)
{
	// assume all album entries are symlinks to archive originals
	$target = preg_replace('{^(\.\./)*}', '', readlink($path));
	$thumb = 'thumb/200/' . $target;

	@list ($order, $size, $title) = explode(':', pathinfo($path, PATHINFO_FILENAME), 3);
	$imgtag = 'img src="/'.$thumb.'"';
	if ($title) {
		$imgtag .= ' title="'.htmlspecialchars(urldecode($title)).'"';
	}
	if ($size) {
		$imgtag .= ' data-size="'.$size.'"';
	}

	return sprintf('<a href="/%s"><%s /></a>'."\n", $target, $imgtag);
}

if ($imgs = glob("$rootdir/*", GLOB_ONLYDIR)) {
	natsort($imgs);
	print '<ul class="gallery cat">'."\n";
	foreach ($imgs as $path) {
		$parts = pathinfo($path);
		$album = $parts['filename'];
		$cover = "$path/index.jpg";
		if (!file_exists($cover)) $cover = 'foto/index.jpg';
		if (is_link($cover)) {
			$cover = preg_replace('{^(?:\.\./)*(?=data/)}', 'thumb/100/', readlink($cover));
		}

		$html = '<img src="/'.$cover.'" />';
		$html .= "<figcaption>$album</figcaption>";
		if (empty($User) and file_exists("$path/.private")) {
			$html = '<strike title="bewoners">'.$html.'</strike>';
		}
		$html = "<figure>$html</figure>";

		printf('<li id="%s"><a href="%s">%s</a>'."\n", $album, "/$path", $html);
	}
	print "</ul>\n\n";
}

if ($imgs = glob("$rootdir/*.jpg")) {
	print '<ul class="gallery album">'."\n";
	foreach ($imgs as $img) {
		if ($img == "$rootdir/index.jpg") continue;
		if (!is_link($img)) continue;
		print '<li>'.showthumb($img);
	}
	print '</ul>'."\n\n";

	include 'foto/album.inc.php';
}
